Package org.bukkit

# Interface World.ChunkLoadCallback

All Superinterfaces:
  `Consumer<Chunk>`

Enclosing interface:
  World

@Deprecated public static interface World.ChunkLoadCallback extends Consumer<Chunk>
Deprecated.
Use either the Future or the Consumer based methods
This is the Legacy API before Java 8 was supported. Java 8 Consumer is provided, as well as future support Used by `World.getChunkAtAsync(Location,ChunkLoadCallback)` methods to request a `Chunk` to be loaded, with this callback receiving the chunk when it is finished. This callback will be executed on synchronously on the main thread. Timing and order this callback is fired is intentionally not defined and and subject to change.

## Method Summary

Modifier and Type
Method
Description
`default void`
`accept(@NotNull Chunk chunk)`
Deprecated.
`void`
`onLoad(@NotNull Chunk chunk)`
Deprecated.

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Method Details

### onLoad

void onLoad(@NotNull @NotNull Chunk chunk)
Deprecated.

### accept

default void accept(@NotNull @NotNull Chunk chunk)
Deprecated.

Specified by:
  `accept` in interface `Consumer<Chunk>`